# [PATCH] git-bisect: fix wrong usage of read(1)

1 messages from 2008-08-11 to 2008-08-11. Participants: Francis Moreau.
Thread: https://gitlist.dev/t/14934

## Francis Moreau, 2008-08-11 17:37

Subject: [PATCH] git-bisect: fix wrong usage of read(1)
Message-ID: <38b2ab8a0808111037p36e7e4b3y438a2539bc447330@mail.gmail.com>
URL: https://gitlist.dev/e/38b2ab8a0808111037p36e7e4b3y438a2539bc447330%40mail.gmail.com

```
Signed-off-by:  Francis Moreau <francis.moro@gmail.com>
---
 git-bisect.sh |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/git-bisect.sh b/git-bisect.sh
index 3cac20d..97ac600 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -220,7 +220,8 @@ bisect_next_check() {
 		if test -t 0
 		then
 			printf >&2 'Are you sure [Y/n]? '
-			case "$(read yesno)" in [Nn]*) exit 1 ;; esac
+			read yesno
+			case "$yesno" in [Nn]*) exit 1 ;; esac
 		fi
 		: bisect without good...
 		;;
-- 
1.5.6.GIT

```
